/*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*\

File: octvc1_id2string_priv.h

Copyright (c) 2014 Octasic Inc. All rights reserved.

Description:

This file contains the id2string implementation for package OCTVC1

This program is free software; you can redistribute it and/or modify
it under the terms of the GNU Affero General Public License as published by
the Free Software Foundation; either version 3 of the License, or
(at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU Affero General Public License
along with this program.  If not, see <http://www.gnu.org/licenses/>.

Octasic_Release: OCTSDR-2G-01.08.05-B29-ALPHA (2014/08/14)

$Revision:  $

\*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*/


#ifndef __OCTVC1_ID2STRING_PRIV__
#define __OCTVC1_ID2STRING_PRIV__

#include "../octdev_types.h"
#include "octvc1_id2string.h"
/* -------------------------------------------------------------------------------------
	OCTVC1_ID2STRING_PRIV
   -------------------------------------------------------------------------------------*/
#define mOCTVC1_ID2STRING_PRIV( _f_ulId ) \
	octvc1_id2string_priv( _f_ulId )

#ifndef OCTVC1_ID2STRING_PRIV_DECLARE
extern const char * octvc1_id2string_priv( tOCT_UINT32 f_ulId );
#endif 


#ifdef OCTVC1_ID2STRING_PRIV_DECLARE
#include <stdio.h>
#include "main/octvc1_main_id_priv.h"
#include "cpp/octvc1_cpp_id_priv.h"
#include "net/octvc1_net_id_priv.h"


/* -------------------------------------------------------------------------------------
	octvc1_id2string_priv
   -------------------------------------------------------------------------------------*/
const char * octvc1_id2string_priv( tOCT_UINT32 f_ulId )
{
	static char g_szUnknownoctvc1_id2string_priv[32];
	switch( f_ulId )
	{
		case cOCTVC1_MAIN_MSG_ETH_RESTRICTED_UNBLOCK_PORT_CID:
			return "cOCTVC1_MAIN_MSG_ETH_RESTRICTED_UNBLOCK_PORT_CID";
		case cOCTVC1_MAIN_MSG_PROCESS_GET_MONITORING_CID:
			return "cOCTVC1_MAIN_MSG_PROCESS_GET_MONITORING_CID";
		case cOCTVC1_MAIN_MSG_MODULE_INCREMENT_TIMESTAMP_CID:
			return "cOCTVC1_MAIN_MSG_MODULE_INCREMENT_TIMESTAMP_CID";
		case cOCTVC1_MAIN_MSG_MODULE_START_DMA_TRACING_CID:
			return "cOCTVC1_MAIN_MSG_MODULE_START_DMA_TRACING_CID";
		case cOCTVC1_MAIN_MSG_MODULE_STOP_DMA_TRACING_CID:
			return "cOCTVC1_MAIN_MSG_MODULE_STOP_DMA_TRACING_CID";
		case cOCTVC1_MAIN_MSG_MODULE_PAUSE_DMA_TRACING_CID:
			return "cOCTVC1_MAIN_MSG_MODULE_PAUSE_DMA_TRACING_CID";
		case cOCTVC1_MAIN_MSG_MODULE_GET_DMA_TRACING_CID:
			return "cOCTVC1_MAIN_MSG_MODULE_GET_DMA_TRACING_CID";
		case cOCTVC1_MAIN_MSG_API_SYSTEM_START_MONITORING_CID:
			return "cOCTVC1_MAIN_MSG_API_SYSTEM_START_MONITORING_CID";
		case cOCTVC1_MAIN_MSG_API_SYSTEM_STOP_MONITORING_CID:
			return "cOCTVC1_MAIN_MSG_API_SYSTEM_STOP_MONITORING_CID";
		case cOCTVC1_MAIN_MSG_API_SYSTEM_LIST_COMMAND_CID:
			return "cOCTVC1_MAIN_MSG_API_SYSTEM_LIST_COMMAND_CID";
		case cOCTVC1_MAIN_MSG_API_SYSTEM_STATS_COMMAND_CID:
			return "cOCTVC1_MAIN_MSG_API_SYSTEM_STATS_COMMAND_CID";
		case cOCTVC1_MAIN_MSG_GOOSE_TEST_INFO_CID:
			return "cOCTVC1_MAIN_MSG_GOOSE_TEST_INFO_CID";
		case cOCTVC1_MAIN_MSG_LOG_INFO_CID:
			return "cOCTVC1_MAIN_MSG_LOG_INFO_CID";
		case cOCTVC1_MAIN_MSG_LOG_INFO_TRACE_CID:
			return "cOCTVC1_MAIN_MSG_LOG_INFO_TRACE_CID";
		case cOCTVC1_MAIN_MSG_LOG_START_TRACE_CID:
			return "cOCTVC1_MAIN_MSG_LOG_START_TRACE_CID";
		case cOCTVC1_MAIN_MSG_LOG_STOP_TRACE_CID:
			return "cOCTVC1_MAIN_MSG_LOG_STOP_TRACE_CID";
		case cOCTVC1_MAIN_MSG_LOG_ERASE_TRACE_CID:
			return "cOCTVC1_MAIN_MSG_LOG_ERASE_TRACE_CID";
		case cOCTVC1_MAIN_MSG_MODULE_GET_VERSION_CID:
			return "cOCTVC1_MAIN_MSG_MODULE_GET_VERSION_CID";
		case cOCTVC1_MAIN_MSG_MODULE_GET_SW_CONFIG_CID:
			return "cOCTVC1_MAIN_MSG_MODULE_GET_SW_CONFIG_CID";
		case cOCTVC1_MAIN_MSG_TDM_INITIALIZE_BUFFER_CID:
			return "cOCTVC1_MAIN_MSG_TDM_INITIALIZE_BUFFER_CID";
		case cOCTVC1_MAIN_MSG_MODULE_CLEANUP_API_RESOURCE_CID:
			return "cOCTVC1_MAIN_MSG_MODULE_CLEANUP_API_RESOURCE_CID";
		case cOCTVC1_MAIN_MSG_MODULE_GET_API_RESOURCE_CID:
			return "cOCTVC1_MAIN_MSG_MODULE_GET_API_RESOURCE_CID";
		case cOCTVC1_MAIN_MSG_MODULE_STATS_SCHEDULER_CID:
			return "cOCTVC1_MAIN_MSG_MODULE_STATS_SCHEDULER_CID";
		case cOCTVC1_MAIN_MSG_MODULE_STATS_AF_CID:
			return "cOCTVC1_MAIN_MSG_MODULE_STATS_AF_CID";
		case cOCTVC1_MAIN_MSG_MODULE_STATS_TDM_DRIVER_CID:
			return "cOCTVC1_MAIN_MSG_MODULE_STATS_TDM_DRIVER_CID";
		case cOCTVC1_MAIN_MSG_TDM_MODIFY_CID:
			return "cOCTVC1_MAIN_MSG_TDM_MODIFY_CID";
		case cOCTVC1_MAIN_MSG_GOOSE_TEST_TEST_EID:
			return "cOCTVC1_MAIN_MSG_GOOSE_TEST_TEST_EID";
		case cOCTVC1_CPP_MSG_MODULE_STATS_IP_CID:
			return "cOCTVC1_CPP_MSG_MODULE_STATS_IP_CID";
		case cOCTVC1_CPP_MSG_RX_UDP_PORT_OPEN_CID:
			return "cOCTVC1_CPP_MSG_RX_UDP_PORT_OPEN_CID";
		case cOCTVC1_CPP_MSG_RX_UDP_PORT_CLOSE_CID:
			return "cOCTVC1_CPP_MSG_RX_UDP_PORT_CLOSE_CID";
		case cOCTVC1_CPP_MSG_RX_UDP_PORT_STATS_CID:
			return "cOCTVC1_CPP_MSG_RX_UDP_PORT_STATS_CID";
		case cOCTVC1_CPP_MSG_RX_UDP_PORT_ACTIVATE_CNCT_CID:
			return "cOCTVC1_CPP_MSG_RX_UDP_PORT_ACTIVATE_CNCT_CID";
		case cOCTVC1_CPP_MSG_RX_UDP_PORT_DEACTIVATE_CNCT_CID:
			return "cOCTVC1_CPP_MSG_RX_UDP_PORT_DEACTIVATE_CNCT_CID";
		case cOCTVC1_CPP_MSG_RX_UDP_PORT_STATS_CNCT_CID:
			return "cOCTVC1_CPP_MSG_RX_UDP_PORT_STATS_CNCT_CID";
		case cOCTVC1_CPP_MSG_TX_UDP_CNCT_OPEN_CID:
			return "cOCTVC1_CPP_MSG_TX_UDP_CNCT_OPEN_CID";
		case cOCTVC1_CPP_MSG_TX_UDP_CNCT_MODIFY_CID:
			return "cOCTVC1_CPP_MSG_TX_UDP_CNCT_MODIFY_CID";
		case cOCTVC1_CPP_MSG_TX_UDP_CNCT_CLOSE_CID:
			return "cOCTVC1_CPP_MSG_TX_UDP_CNCT_CLOSE_CID";
		case cOCTVC1_CPP_MSG_TX_UDP_CNCT_STATS_CID:
			return "cOCTVC1_CPP_MSG_TX_UDP_CNCT_STATS_CID";
		case cOCTVC1_CPP_MSG_RX_IP_PORT_OPEN_CID:
			return "cOCTVC1_CPP_MSG_RX_IP_PORT_OPEN_CID";
		case cOCTVC1_CPP_MSG_RX_IP_PORT_CLOSE_CID:
			return "cOCTVC1_CPP_MSG_RX_IP_PORT_CLOSE_CID";
		case cOCTVC1_CPP_MSG_RX_IP_PORT_STATS_CID:
			return "cOCTVC1_CPP_MSG_RX_IP_PORT_STATS_CID";
		case cOCTVC1_CPP_MSG_RX_TCP_PORT_OPEN_CID:
			return "cOCTVC1_CPP_MSG_RX_TCP_PORT_OPEN_CID";
		case cOCTVC1_CPP_MSG_RX_TCP_PORT_CLOSE_CID:
			return "cOCTVC1_CPP_MSG_RX_TCP_PORT_CLOSE_CID";
		case cOCTVC1_CPP_MSG_RX_TCP_PORT_STATS_CID:
			return "cOCTVC1_CPP_MSG_RX_TCP_PORT_STATS_CID";
		case cOCTVC1_CPP_MSG_RX_TCP_PORT_ACTIVATE_CNCT_CID:
			return "cOCTVC1_CPP_MSG_RX_TCP_PORT_ACTIVATE_CNCT_CID";
		case cOCTVC1_CPP_MSG_RX_TCP_PORT_DEACTIVATE_CNCT_CID:
			return "cOCTVC1_CPP_MSG_RX_TCP_PORT_DEACTIVATE_CNCT_CID";
		case cOCTVC1_CPP_MSG_RX_TCP_PORT_STATS_CNCT_CID:
			return "cOCTVC1_CPP_MSG_RX_TCP_PORT_STATS_CNCT_CID";
		case cOCTVC1_NET_MSG_MODULE_MODIFY_DEST_CID:
			return "cOCTVC1_NET_MSG_MODULE_MODIFY_DEST_CID";
		case cOCTVC1_NET_MSG_MODULE_GET_CONFIG_CID:
			return "cOCTVC1_NET_MSG_MODULE_GET_CONFIG_CID";
		case cOCTVC1_NET_MSG_ETH_LINK_OPEN_CID:
			return "cOCTVC1_NET_MSG_ETH_LINK_OPEN_CID";
		case cOCTVC1_NET_MSG_ETH_LINK_CLOSE_CID:
			return "cOCTVC1_NET_MSG_ETH_LINK_CLOSE_CID";
		case cOCTVC1_NET_MSG_ETH_LINK_INFO_CID:
			return "cOCTVC1_NET_MSG_ETH_LINK_INFO_CID";
		case cOCTVC1_NET_MSG_ETH_LINK_STATS_CID:
			return "cOCTVC1_NET_MSG_ETH_LINK_STATS_CID";
		case cOCTVC1_NET_MSG_ETH_LINK_ADD_CACHE_ENTRY_CID:
			return "cOCTVC1_NET_MSG_ETH_LINK_ADD_CACHE_ENTRY_CID";
		case cOCTVC1_NET_MSG_ETH_LINK_REMOVE_CACHE_ENTRY_CID:
			return "cOCTVC1_NET_MSG_ETH_LINK_REMOVE_CACHE_ENTRY_CID";
		case cOCTVC1_NET_MSG_ETH_LINK_MODIFY_CACHE_ENTRY_CID:
			return "cOCTVC1_NET_MSG_ETH_LINK_MODIFY_CACHE_ENTRY_CID";
		case cOCTVC1_NET_MSG_ETH_LINK_INFO_CACHE_ENTRY_CID:
			return "cOCTVC1_NET_MSG_ETH_LINK_INFO_CACHE_ENTRY_CID";
		case cOCTVC1_NET_MSG_CUSTOM_LOCAL_HOST_OPEN_CID:
			return "cOCTVC1_NET_MSG_CUSTOM_LOCAL_HOST_OPEN_CID";
		case cOCTVC1_NET_MSG_CUSTOM_LOCAL_HOST_CLOSE_CID:
			return "cOCTVC1_NET_MSG_CUSTOM_LOCAL_HOST_CLOSE_CID";
		case cOCTVC1_NET_MSG_CUSTOM_LOCAL_HOST_INFO_CID:
			return "cOCTVC1_NET_MSG_CUSTOM_LOCAL_HOST_INFO_CID";
		case cOCTVC1_NET_MSG_ETH_LINK_MODIFY_CID:
			return "cOCTVC1_NET_MSG_ETH_LINK_MODIFY_CID";
		case cOCTVC1_NET_MSG_MODULE_MODIFY_NTP_TIMESTAMP_CID:
			return "cOCTVC1_NET_MSG_MODULE_MODIFY_NTP_TIMESTAMP_CID";
		case cOCTVC1_NET_MSG_MODULE_INFO_NTP_TIMESTAMP_CID:
			return "cOCTVC1_NET_MSG_MODULE_INFO_NTP_TIMESTAMP_CID";

	}
	return octvc1_id2string( f_ulId );
}
#endif 

#endif /* __OCTVC1_ID2STRING_PRIV__ */
